<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" type="text/css">
  <link rel="stylesheet" href="https://static.pingendo.com/bootstrap/bootstrap-4.1.3.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
  <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.4/js/select2.min.js"></script>

  <title>Subscribe Me</title>
  <style>
    @import url('https://fonts.googleapis.com/css?family=Patua+One');
  </style>

</head>

<body style=" background-image: url(http://longwallpapers.com/Desktop-Wallpaper/new-york-wallpaper-For-Desktop-Wallpaper.jpg); background-position: top left;  background-size: 100%;  background-repeat: ; background-attachment: fixed; background-attachment: fixed" class="" >
  {% include "Lab4App1/base.html" %}
  <div class="py-3 text-center">
      <div class="container">
          <div class="row text-gray-dark text-center" style="font-family: 'Patua One', cursive;">
              <div class="col-10 col-lg-8 mx-auto text-dark py-0">
                  <h3 class="display-3" style="font-family: 'Patua One', cursive;">SUBSCRIBE NOW</h3>
                  <form class="text-left py-3" id= "subscribe_form"method="POST">
                  {% csrf_token %}
                  <div class="form-group"> 
                      <label for="form18">Email</label> 
                      <input type="email"  class="form-control email" id="{{form.email}}
                  </div>
                  <div class="text-danger" id="warning_email">
                    <p>*Valid Email Is Required >> example@sample.com </p>
                  </div>
                  <div class="text-danger" id="warning_email_2">
                    <p>*Email Already Registered</p>
                  </div>
                  <div class="" style="color: green" id="success_email">
                    <p>*Email Is Valid</p>
                  </div>
                  <div class="form-group"> 
                      <label for="form16">Name</label> 
                      <input type="text"  class="form-control name" id="{{form.nama}}
                  </div>
                  <div class="text-danger" id="warning_name">
                    <p>*Name Is Required</p>
                  </div>
                  <div class="" style="color: green" id="success_name">
                    <p>*Name Is Valid</p>
                  </div>            
                  <div class="form-group"> 
                      <label for="form19">Password</label> 
                      <input type="password"  class="form-control password" id="{{form.password1}}  
                  </div>
                  <div class="text-danger" id="warning_pass">
                    <p>*Password Must Contain 8 Character/Number</p>
                  </div>
                  <div class="" style="color: green" id="success_pass">
                    <p>*Password Is Valid</p>
                  </div>
                  
                  <br>
                  <div class="mt-4" id = "validate"></div>
                  <div class="mt-4" id = "response"></div>
                  <button type="submit" id="subs_button" class="btn btn-dark" >Subscribe</button>
                  </form>
              </div>
                <div class="col-lg-4 text-center align-content-lg-center">
                 <h2 class="text-white"> My Subscriber </h2>
                 <div class="list-group" id="subs-list">
                            
                                 <!--  <button type="submit" id="unsubs_button" class="btn btn-dark unsub" >Unsubscribe</button> -->
                                 
                             
                       
                         <div class="alert alert-danger text-center" id="alert_subs">
                             <!-- <strong>Opps!</strong> Tidak ada Subscriber -->
                         </div>
                     
                 </div>
          </div>
          


      </div>
  </div>
  

  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous" style=""></script>
  
  <script type="text/javascript">
    $(document).ready(function(){
      $('#subs_button').prop('disabled',true)
      $('#warning_email').hide()
      $('#warning_email_2').hide()
      $('#warning_name').hide()
      $('#warning_pass').hide()
      $('#success_email').hide()
      $('#success_pass').hide()
      $('#success_name').hide()

    })
    $(document).on('keyup','.email',function(){
      input = $('.email').val();
      var reg = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
      var input_is_valid = reg.test(input)
      if(!input_is_valid){
        $('#warning_email').show()
        $('#success_email').hide()
        $('#subs_button').prop('disabled',true)
        /*var check_email = false;*/
      }
      else{
        $('#warning_email').hide()
        $('#warning_email_2').hide()
        $('#success_email').show()
        validation();
        /*var check_email = true;*/
      }
    })
    $(document).on('keyup','.name',function(){
      input = $('.name').val();
      if(input == ''){
        $('#warning_name').show()
        $('#success_name').hide()
        $('#subs_button').prop('disabled',true)
        /*var check_name = false;*/
      }
      else{
        $('#warning_name').hide()
        $('#success_name').show()
        validation();
        /*var check_name = true;*/
      }
    })
    $(document).on('keyup','.password',function(){
      input = $('.password').val();
      if(input.length < 8){
        $('#warning_pass').show()
        $('#success_pass').hide()
        $('#subs_button').prop('disabled',true)
        /*var check_pass = false;*/
      }
      else{
        $('#warning_pass').hide()
        $('#success_pass').show()
        validation();
        /*var check_pass = true;*/
      }
    })
    function validation () {
      $.ajax({
        url : '/subscribe/check_email/',
        type : 'POST',
        data : {
          email : $('.email').val(),
          nama : $('.name').val(),
          password1 : $('.password').val(),
        },

        success : function(response){
          console.log(response.message)
          if(response.message == "User Valid"){
            $('#validate').html("<div class='alert-box alert radius' data-alert><a href='#' class='close text-success'>" + response.message + "</a></div>");
            $('#response').html("");
            $('#subs_button').prop('disabled',false)
          }
          else{
            $('#validate').html("<div class='alert-box alert radius' data-alert><a href='#' class='close text-danger'>" + response.message + "</a></div>");
            $('#subs_button').prop('disabled',true)
          }

        }
      })
    }

    $(document).on('click', '#subs_button', function(e){
      e.preventDefault();
      $.ajax({
        url : '/subscribe/',
        type: 'POST',
        data: $('form').serialize(),
        success: function(json) {
          $('.email').val('');
          $('.name').val('');
          $('.pass').val('');
          $('#subcsribe_form').val('');
          $('#response').html("<div class='alert-box alert radius' data-alert><a href='#' class='close'>Thanks for Subscribe Me</a></div>");

        },
        error: function (xhr, errmsg, err) {
                $('#response_msg').html("<div class='alert-box alert radius' data-alert><a href='#' class='close'>Error message &times;</a></div>");
            },
      });
    })

    $(document).ready(function(){
      $.ajax({
        url : '/get-subs-list/',
        method : 'GET',
        dataType : 'json',
        success : function(data){
            $('#alert_subs').hide()
            console.log(data)
            if(data.results.length == 0){
              $('#alert_subs').show()
              $('#alert_subs').append('<strong>Opps!</strong> Tidak ada Subscriber')
            }
            var print = "";
            for (var i = 0 ; i < data.results.length ; i++){
              console.log(data.results[i].email)
              print += '<a class="list-group-item clearfix" id="list_subscribe">'
              print += data.results[i].email + " - " + data.results[i].nama
              print += "<button type='submit' id='unsubs_button' class='btn btn-dark unsub'>Unsubscribe</button> </a>"
            }
            $("#subs-list").append(print)
            /*<input type="text" aria-label="First name" class="form-control" placeholder="Confirmation Password" id="pass_confirmation">*/
        },
      })
    })

    $(document).on('click','.unsub', function(){
      $.ajax({
        url: '/get-subs-list/',
        method : 'GET',
        dataType: 'json',
        success : function(data){
          console.log(data)
          var my_text=prompt('Confirmation Password');
          console.log(my_text)
          for(var i =0 ; i < data.results.length; i++){
            if(my_text==data.results[i].password1){
              console.log("true")
              unsubscribe(data.results[i]);
            }
          }
        },
      })
    })

    function unsubscribe(data){
      $.ajax({
        url: '/subscribe/delete/',
        method: 'POST',
        data :{
          'email' : data.email,
        },
        success : function(data){
          window.location.reload()
        }
      })
    }

  </script>
</body>

</html>